Skip to main content
PATCH
/
api
/
v2
/
recruitment
/
pipeline-templates
/
{id}
Update pipeline template
curl --request PATCH \
  --url https://app.tarefy.com/nodeapi/api/v2/recruitment/pipeline-templates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "stages": [
    {
      "name": "<string>",
      "type": "initial_stage",
      "order": 123
    }
  ]
}
'
{
  "id": "<string>",
  "name": "Engineering Default",
  "is_default": false,
  "stages": [
    {
      "id": "stg_xyz",
      "name": "Initial Screening",
      "order": 1,
      "type": "initial_stage"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.tarefy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
required
Minimum string length: 2
stages
object[]
required
Minimum array length: 1

Response

Success

id
string
name
string
Example:

"Engineering Default"

is_default
boolean
Example:

false

stages
object[]
created_at
string<date-time>